Read current spending plan iteration
iteration.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique ID for the spending_plan.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
The date and time the spending plan iteration was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The date on which the spending plan iteration ends.
"2023-05-31"
The unique identifier for the spending plan iteration. Defined by MX.
"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"
The current iteration number for the spending plan iteration.
1
The unique identifier for the spending plan. Defined by MX.
"SPL-dbfe201d-c341-4bff-93c0-62a918d0b600"
The date on which the spending plan iteration starts.
"2023-05-01"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

